Bug 1570418 - [RFE] Add openSUSE Leap 15.0 and openSUSE Tumbleweed chroots to COPR
Summary: [RFE] Add openSUSE Leap 15.0 and openSUSE Tumbleweed chroots to COPR
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: backend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-22 17:50 UTC by Neal Gompa
Modified: 2018-05-19 10:17 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-19 10:17:57 UTC


Attachments (Terms of Use)
openSUSE Geeko button (10.09 KB, image/svg+xml)
2018-04-24 00:26 UTC, Neal Gompa
no flags Details

Description Neal Gompa 2018-04-22 17:50:07 UTC
Description of problem:
I recently packaged DNF for openSUSE Leap 15.0[1] and openSUSE Tumbleweed[2].

For now, I (as the maintainer of the DNF stack in openSUSE) have the copr plugin disabled[3] and removed from the installed dnf-plugins-core package because it's not useful.

However, I'd like to enable the plugin and allow people to be able to provide packages that work for Fedora, Mageia, and openSUSE. As the freeze for Leap 15.0 is on the 26th, I'd like to get this done sooner rather than later.

I have made functional mock configuration files for openSUSE Leap 15.0 and Tumbleweed and submitted them as a PR for inclusion[4]. With those configurations, it should be possible to support this on COPR.

Suggested openSUSE logo: https://en.opensuse.org/images/5/5d/Geeko-button-bling7.png

[1]: https://build.opensuse.org/package/show/openSUSE:Leap:15.0/dnf
[2]: https://build.opensuse.org/package/show/openSUSE:Factory/dnf
[3]: https://build.opensuse.org/package/view_file/system:packagemanager:dnf/dnf-plugins-core/dnf-plugins-core.spec?expand=1
[4]: https://github.com/rpm-software-management/mock/pull/179

Comment 1 Neal Gompa 2018-04-22 18:20:28 UTC
This will also require a similar workaround to what was done in bug 1365310.

Comment 2 clime 2018-04-22 19:07:22 UTC
(In reply to Neal Gompa from comment #1)
> This will also require a similar workaround to what was done in bug 1365310.

Hello Neal,

can you, please, describe the workaround which will be needed in more detail? (so that we can just implement it afterwards).

Comment 3 Neal Gompa 2018-04-23 05:34:13 UTC
Basically, i386 -> i586 symlink for Tumbleweed. openSUSE doesn't use $basearch either, so this is necessary for selecting chroots.

Comment 4 Pavel Raiskup 2018-04-23 05:48:27 UTC
> Suggested openSUSE logo: https://en.opensuse.org/images/5/5d/Geeko-button-bling7.png

Can we legally use that logo?

Comment 5 Neal Gompa 2018-04-23 12:23:00 UTC
I think so: https://en.opensuse.org/openSUSE:Trademark_guidelines

Comment 6 Neal Gompa 2018-04-24 00:14:58 UTC
Submit request for Factory/Tumbleweed: https://build.opensuse.org/request/show/600153

Once this is merged in, I'll submit to Leap 15.0, too.

Comment 7 Neal Gompa 2018-04-24 00:26 UTC
Created attachment 1425770 [details]
openSUSE Geeko button

It was suggested to me by a member of the openSUSE community (LCP, specifically) that this is a better button to use. I've attached it to this bug.

Comment 8 Neal Gompa 2018-04-24 00:29:09 UTC
Err, the member who suggested it is Stasiek Michalski, a prominent member of the openSUSE Artwork team: https://github.com/LelCP

Comment 9 Neal Gompa 2018-04-24 11:35:43 UTC
Submit request for Leap 15.0: https://build.opensuse.org/request/show/600600

Comment 10 Neal Gompa 2018-04-25 01:27:49 UTC
The COPR plugin is now enabled in both Tumbleweed and Leap 15.0, so I'm just waiting on the server side enabling to build for COPR.

Comment 11 Neal Gompa 2018-04-25 01:29:05 UTC
Or rather, to build openSUSE packages on COPR. :)

Comment 12 Neal Gompa 2018-04-26 11:41:17 UTC
(In reply to Pavel Raiskup from comment #4)
> 
> Can we legally use that logo?

If you want to be sure, you can request permission via board@opensuse.org

I do not think they would not grant it.

Comment 13 Pavel Raiskup 2018-04-26 15:27:31 UTC
I don't want to, I just wanted to know that legal POV is taken into
account, too.  Neal, thanks for to work on this.

Comment 14 clime 2018-05-19 10:17:57 UTC
New Copr version has been released.


Note You need to log in before you can comment on or make changes to this bug.